%define module	parsing

Summary:	An object-oriented approach to text processing
Name:		python-%{module}
Version:	2.0.2
Release:	3
Group:		Development/Python
License:	MIT
URL:		http://pyparsing.wikispaces.com/
Source0:	http://sourceforge.net/projects/pyparsing/files/pyparsing/pyparsing-2.0.2/pyparsing-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel

%description
The pyparsing module provides an alternative approach to creating and
executing simple grammars in Python versus the traditional lex/yacc
approach or the use of regular expressions. It provides a library of
classes that client code can use to construct a grammar directly.

%package -n python3-%{module}

Summary:	An object-oriented approach to text processing
Group:		Development/Python
BuildRequires:	python3-devel

%description -n python3-%{module}
The pyparsing module provides an alternative approach to creating and
executing simple grammars in Python versus the traditional lex/yacc
approach or the use of regular expressions. It provides a library of
classes that client code can use to construct a grammar directly.

%prep
%setup -q -n py%{module}-%{version}
rm -rf %{_builddir}/python3-%{module}
cp -a . %{_builddir}/python3-%{module}

%build
python setup.py build
pushd %{_builddir}/python3-%{module}
    python3 setup.py build
popd

install -m 644 pyparsingClassDiagram.PNG pyparsingClassDiagram.png

%install
pushd %{_builddir}/python3-%{module}
    python3 setup.py install -O1 --skip-build --root=%{buildroot} --record=FILE_LIST
popd
python setup.py install -O1 --skip-build --root=%{buildroot} --record=FILE_LIST

# fix permissions
chmod 0644 examples/* htmldoc/* CHANGES HowToUsePyparsing.html pyparsingClassDiagram.png README LICENSE

%files
%doc CHANGES examples HowToUsePyparsing.html htmldoc pyparsingClassDiagram.png README LICENSE
%{py_puresitedir}/*

%files -n python3-%{module}
%doc CHANGES examples HowToUsePyparsing.html htmldoc pyparsingClassDiagram.png README LICENSE
%{py3_puresitedir}/*

%changelog
* Tue Sep 02 2014 Denis Silakov <denis.silakov@rosalab.ru> 2.0.2-3
+ Revision: 71e0ed9
- Spec cleanup after python3 submodule addition


